package com.xmomen.module.stock.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.stock.entity.StockRecord;
import com.xmomen.module.stock.entity.StockRecordExample;
import org.apache.ibatis.annotations.Param;

// 定义StockRecordMapper接口，继承MybatisMapper
public interface StockRecordMapper extends MybatisMapper {
    // 根据条件统计StockRecord数量
    int countByExample(StockRecordExample example);

    // 根据条件删除StockRecord
    int deleteByExample(StockRecordExample example);

    // 插入StockRecord
    int insertSelective(StockRecord record);

    // 根据条件更新StockRecord
    int updateByExampleSelective(@Param("record") StockRecord record, @Param("example") StockRecordExample example);
}